Labelcamp API v2
​string​string​string​string​string​integer · min: 1​integer · min: 1 · max: 200
​string · required
Labels
Label management and configuration
List labels
GET
https://api.idol.io/api/v2
/labels
Retrieve a list of labels with optional filtering.
query Parameters
filter[distributor-id]Filter by distributor ID
filter[company-id]Filter by company ID
filter[product-id]Filter by product ID
filter[product-genre-id]Filter by product genre ID
filter[name]Filter by label name
page[number]Page number for pagination
Default: 1
page[size]Number of items per page (max 200)
Default: 20
List labels › Responses
List of labels
Create a label
POST
https://api.idol.io/api/v2
/labels
Create a new label associated with a company.
Create a label › Request Body
​LabelResource · required
Create a label › Responses
Label created successfully
Update a label
PUT
https://api.idol.io/api/v2
/labels/{id}
Update an existing label's attributes.
path Parameters
idThe label ID
Update a label › Request Body
​LabelResource · required
Update a label › Responses
Label updated successfully